org.appng.api.rest.model

## Class Filter

- java.lang.Object
- - org.appng.api.rest.model.Filter

- All Implemented Interfaces:
    Serializable

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2023-03-20T12:57:47.319+01:00")
      public class Filter
      extends Object
      implements Serializable

  A filter that applies to a datasource.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Filter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getLabel()` The label iof the filter.
    `String` | `getName()` The name of the filter.
    `Options` | `getOptions()` The options for this filter.
    `OptionType` | `getType()` The type of the filter.
    `int` | `hashCode()`
    `Filter` | `label(String label)`
    `Filter` | `name(String name)`
    `Filter` | `options(Options options)`
    `void` | `setLabel(String label)`
    `void` | `setName(String name)`
    `void` | `setOptions(Options options)`
    `void` | `setType(OptionType type)`
    `String` | `toString()`
    `Filter` | `type(OptionType type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Filter

          public Filter()

  - ### Method Detail

    - #### name

          public Filter name(String name)

    - #### getName

          public String getName()

      The name of the filter.
      Returns:
        name

    - #### setName

          public void setName(String name)

    - #### label

          public Filter label(String label)

    - #### getLabel

          public String getLabel()

      The label iof the filter.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### type

          public Filter type(OptionType type)

    - #### getType

          public OptionType getType()

      The type of the filter.
      Returns:
        type

    - #### setType

          public void setType(OptionType type)

    - #### options

          public Filter options(Options options)

    - #### getOptions

          public Options getOptions()

      The options for this filter.
      Returns:
        options

    - #### setOptions

          public void setOptions(Options options)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2011–2023 aiticon GmbH. All rights reserved.